@import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');

* {
    margin: 0;
    padding: 0;
}

.container {
    background-color: #f3f4f6;
    width: 100%;
    height: 100vh;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
}

.judul-status {
    text-align: center;
    font-family: 'Poppins', Tahoma, Geneva, Verdana, sans-serif;
    color: #1f2937;
}

.board {
    background-color: #ffffff;
    width: 300px;
    height: 300px;
    border-radius: 10px;
    box-sizing: border-box;
    padding: 10px;
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    grid-template-rows: repeat(3, 1fr);
    margin-top: 20px;
    box-shadow: 0 4px 6px -1px rgba(0, 0, 0, 0.1);
}

.board .kotak {
    background-color: #e5e7eb; 
    margin: 5px;
    border-radius: 4px;
    cursor: pointer;

    display: flex;
    justify-content: center;
    align-items: center;

    font-family: 'Poppins', Tahoma, Geneva, Verdana, sans-serif;
    font-size: 48px;
    font-weight: 700;
    color: #1f2937;
}

.kotak:hover {
    transition: 0.3s;
    background-color: #afc9ff;
}

.btn-restart {
    margin-top: 20px;
}

.btn-restart button {
    padding: 10px 45px;
    font-family: 'Poppins', Tahoma, Geneva, Verdana, sans-serif;
    font-weight: bold;
    font-size: 18px;
    background-color: #2563eb;
    color: #ffffff;
    border-radius: 30px;
    border: none;
    cursor: pointer; 
}

.btn-restart button:hover {
    transition: 0.3s;
    box-shadow: 0px 2px 5px rgba(0, 0, 0, 0.5);
}